summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoonas Niilola <juippis@gentoo.org>2020-04-26 10:05:18 +0300
committerJoonas Niilola <juippis@gentoo.org>2020-04-26 10:08:26 +0300
commitbe7ffff78f5f422d9c0aca20b6e5344fe9d8a8c4 (patch)
treeef6da931249714c5a50fcf831a83af85922cf2af
parentx11-misc/urxvt-perls: stabilize 2.3-r1 on x86 (diff)
downloadgentoo-be7ffff78f5f422d9c0aca20b6e5344fe9d8a8c4.tar.gz
gentoo-be7ffff78f5f422d9c0aca20b6e5344fe9d8a8c4.tar.bz2
gentoo-be7ffff78f5f422d9c0aca20b6e5344fe9d8a8c4.zip
media-video/yle-dl: remove libav IUSE
Signed-off-by: Joonas Niilola <juippis@gentoo.org>
-rw-r--r--media-video/yle-dl/yle-dl-20200222.ebuild4
-rw-r--r--media-video/yle-dl/yle-dl-20200419.ebuild4
2 files changed, 4 insertions, 4 deletions
diff --git a/media-video/yle-dl/yle-dl-20200222.ebuild b/media-video/yle-dl/yle-dl-20200222.ebuild
index 54743cdf09a..9f7caaad630 100644
--- a/media-video/yle-dl/yle-dl-20200222.ebuild
+++ b/media-video/yle-dl/yle-dl-20200222.ebuild
@@ -16,13 +16,12 @@ LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
-IUSE="libav php test +youtube-dl"
+IUSE="php test +youtube-dl"
# Requires an active internet connection during tests
RESTRICT="test"
RDEPEND="
- !libav? ( media-video/ffmpeg )
>=dev-python/attrs-18.1.0[${PYTHON_USEDEP}]
>=dev-python/configargparse-0.13.0[${PYTHON_USEDEP}]
dev-python/future[${PYTHON_USEDEP}]
@@ -31,6 +30,7 @@ RDEPEND="
dev-python/progress[${PYTHON_USEDEP}]
dev-python/pycryptodome[${PYTHON_USEDEP}]
dev-python/requests[${PYTHON_USEDEP}]
+ media-video/ffmpeg
net-misc/wget
php? (
dev-lang/php:*[bcmath,cli,curl,simplexml]
diff --git a/media-video/yle-dl/yle-dl-20200419.ebuild b/media-video/yle-dl/yle-dl-20200419.ebuild
index edff6ecff97..51021c5c90a 100644
--- a/media-video/yle-dl/yle-dl-20200419.ebuild
+++ b/media-video/yle-dl/yle-dl-20200419.ebuild
@@ -17,7 +17,7 @@ LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="libav test"
+IUSE="test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
# Requires an active internet connection during tests,
@@ -25,7 +25,7 @@ REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RESTRICT="test"
RDEPEND="${PYTHON_DEPS}
- !libav? ( media-video/ffmpeg )
+ media-video/ffmpeg
net-misc/wget
$(python_gen_cond_dep '
>=dev-python/attrs-18.1.0[${PYTHON_MULTI_USEDEP}]